Retrieve assets

This operation returns an object containing information about all of the assets associated with the current user which meet the specified filters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64

Offset begin showing results from item number n.

int64

Limit results to n number of items.

string

Sort order results by the given field.
Prefix the field name with '-' to order in descending order.
E.g., '-name' sorts results in descending order using the field 'name'

name
array of strings

Filter results to assets that contain the specified name.
Case insensitive.

name
type
array of strings

Filter results to assets of the specified type.
Case sensitive.
Supported values:** application, site, mobile_application, api_site

type
actionType
array of strings

Filter results to assets that have a particular action item type.
Case sensitive.

actionType
serviceLevel
array of strings

Filter results to assets with the specified service level.
Case insensitive.
Supported values:** None, PE, SE, BE, PL, Source

serviceLevel
string

Filter results to assets whose status is active or inactive.
Case insensitive.

fields
array of strings

Fields values allow the user to specify optional fields to be returned in the response.
Case sensitive.
Supported values:
actionItems - Displays all action items associated with the asset (namely, the actionItems array and all fields associated with credential counts).
totalFindingsCount - Displays the count of vulnerabilities for each asset.
ratingLevelCounts - Displays a count breakdown for findings in each rating level.
client - Displays client information for each asset.
assetOwnerName - Displays the asset owner's name.
onlyAssignableAssets - Displays only those assets that the user has been assigned.
onlyEditableAssets - Display only those assets the user has privileges to edit.
completedBusinessLogicAssessments - Displays information on completed Business Logic Assessments for an asset.
summaryBusinessLogicAssessments - Displays the last completed Business Logic Assessment and the count of on-hold Business Logic Assessments.
businessLogicAssessmentsLicense - Displays license information associated with each Business Logic Assessment.
licenseInfo - Displays information about an asset license size.
mobileApplicationInfo - Displays mobile application information for a mobile application.
industry - Displays industry details for an asset.

fields
int64

MinActionItemsCount denotes whether to return only assets that have associated action items.
Supported values:** 1 or 0 (defaults to 0).

customAssetID
array of strings

Filter results to assets that contain the specified custom asset ID.
Case insensitive.

customAssetID
subID
array of int64s

Filter results to assets that have the specified application, site, mobile_application, or api_site ID.
NOTE:** You may get multiple results for a single subID unless you also filter by 'type'.

subID
client.id
array of int64s

Filter results to assets associated with the specified clients.

client.id
id
array of int64s

Filter results to assets that have the given ID.

id
scheduleName
array of strings

Filter results to assets that contain the specified schedule name.
Case insensitive.

scheduleName
scheduleTimeZone
array of strings

Filter results to assets that contain the specified schedule timezone.
Case insensitive.

scheduleTimeZone
severity
array of int64s

Filter results to assets that have at least one vulnerability with the given severity rating.
NOTE: Severity is a WhiteHat Legacy DAST rating, so results may vary depending on current client rating method (Legacy or Advanced).
Supported values:
0 through 5 inclusive

severity
risk
array of int64s

Filter results to assets that have at least one vulnerability with the given risk rating.
NOTE: Risk is a WhiteHat Advanced rating, so results may vary depending on current client rating method (Legacy or Advanced).
Supported values:
1 through 5 inclusive

risk
string

Filter type for tags, to be used in combination with the 'tags' filter.
Case insensitive. If notags is specified, only untagged assets will be returned.
Supported values:** all, any, notags (defaults to 'any')

tags
array of strings

Filter results to assets based on the specified tags and the tags filter type.
Case sensitive.

tags
assetSize
array of strings

Filter results to assets with matching asset size.
Case insensitive.
Supported values:** X Small, Small, Medium, Large, X Large, XX Large, Oversized

assetSize
assetOwnerID
array of int64s

Filter results to assets that are owned by a user, as specified by the given asset owner ID.
NOTE:** You must have Admin privileges to use this filter.

assetOwnerID
associatedToUserID
array of int64s

Filter results to assets associated to the given user ID.

associatedToUserID
associatedToGroupID
array of int64s

Filter results to assets associated to the given group ID.

associatedToGroupID
string

Filter results to assets that contain the given URL as their base URL. For applications, this may be a file location.
Case insensitive.

string

Filter results to assets with a particular scan status.
Supported values:** Complete, Failed, Initial Scan Complete - Configuration In Progress, Paused for Schedule, Pending WhiteHat Review, Scanning w/o Credentials, Scan Running, BDCD Updating Configuration

assetScanMode
array of strings

Filter results to assets with a particular scan mode. Applies only to SAST assets (apps and mobile apps).
Supported Values:** New, Pending_Approval, Approved, Pre_Scan, Rejected

assetScanMode
string

Filter results to assets with the specified codebase language (applications only).
Case insensitive.
Supported Values:** Discover, Java, C#, PHP, Objective-C, JavaScript, TypeScript, Python

Responses

401

UnauthorizedResponse signals an unauthorized API access

403

ForbiddenResponse signals a request for a resource that does not exist or is not authorized

500

GenericError generic error

Language
LoadingLoading…
Response
Choose an example:
application/json